
data {
    int N;
    int p;
    int Y[N, 2];
    matrix[N, p] X;
}

parameters{
    vector[p] b;
}

transformed parameters {
    simplex[2] prob[N];
    real v;
    for (i in 1:N){
        v = 0.0;
        for (j in 1:p)
            v = v + b[j] * X[i, j];
        prob[i][1] = inv_logit(v);
        prob[i][2] = 1.0 - prob[i][1];
    }
}

model {
    for (i in 1:N)
        Y[i] ~multinomial(prob[i]);
}
